You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@airflow.apache.org by po...@apache.org on 2021/11/19 03:30:58 UTC

[airflow-ci-infra] branch add-latest-git-version created (now e6482ee)

This is an automated email from the ASF dual-hosted git repository.

potiuk pushed a change to branch add-latest-git-version
in repository https://gitbox.apache.org/repos/asf/airflow-ci-infra.git.


      at e6482ee  Add latest git version

This branch includes the following new commits:

     new e6482ee  Add latest git version

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


[airflow-ci-infra] 01/01: Add latest git version

Posted by po...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

potiuk pushed a commit to branch add-latest-git-version
in repository https://gitbox.apache.org/repos/asf/airflow-ci-infra.git

commit e6482ee31bf7dc5565f07406f1e7849a2cf241b7
Author: Jarek Potiuk <ja...@potiuk.com>
AuthorDate: Fri Nov 19 04:06:40 2021 +0100

    Add latest git version
    
    Git should be updated to latest version to handle
    --ignore-matching-lines command
---
 github-runner-ami/packer/files/git.sh       | 24 ++++++++++++++++++++++++
 github-runner-ami/packer/ubuntu2004.pkr.hcl |  3 ++-
 2 files changed, 26 insertions(+), 1 deletion(-)

diff --git a/github-runner-ami/packer/files/git.sh b/github-runner-ami/packer/files/git.sh
new file mode 100644
index 0000000..6894252
--- /dev/null
+++ b/github-runner-ami/packer/files/git.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -exu -o pipefail
+
+add-apt-repository -y ppa:git-core/ppa
+apt update
+apt install --upgrade -y git
diff --git a/github-runner-ami/packer/ubuntu2004.pkr.hcl b/github-runner-ami/packer/ubuntu2004.pkr.hcl
index 045632e..650a5b8 100644
--- a/github-runner-ami/packer/ubuntu2004.pkr.hcl
+++ b/github-runner-ami/packer/ubuntu2004.pkr.hcl
@@ -38,7 +38,7 @@ source "amazon-ebs" "runner_builder" {
   #access_key = ""
   #secret_key = ""
   region = var.aws_regions[0]
-  ami_name = "${var.ami_name}-${var.runner_version}-v2"
+  ami_name = "${var.ami_name}-${var.runner_version}-v3"
   ami_regions = var.aws_regions
   tag {
     key   = "Name"
@@ -140,6 +140,7 @@ build {
       "./files/install-nodejs.sh",
       "./files/install-github-cli.sh",
       "./files/docker-compose.sh",
+      "./files/git.sh",
       "./files/runner_bootstrap.sh",
       "./files/cleanup.sh",
     ]